Subject: Re: [PATCH] Support for DS75 thermal sensor

From: Grant Likely <[email-masked]>
Date: Wed, 16 Jul 2008 08:08:07 -0600

On Wed, Jul 16, 2008 at 12:10:59PM +0200, Jean Delvare wrote:
> On Wed, 16 Jul 2008 11:50:15 +0200, Wolfgang Grandegger wrote:
> > Jean Delvare wrote:
> > 
> > Yep, as probing might not be acceptable in some cases, I makes sense to 
> > add a property to suppress probing:
> 
> It'd rather make no-probing the default if possible. My understanding
> is that all systems using i2c-mpc should have proper platform data.

Total ACK.  From my perspective, probing should be off by default because the
typical use case in powerpc land is to trust data in the device tree.  Add the
property to turn on probing, not to turn it off.  Also, you'll need to
document the semantics of such a property.  ie. what exactly does it
mean when the probing property is present and the spi bus node has child
nodes?

g.